Support Platforms - Task #837

Consider subproject organization of the Gromacs project
11/13/2011 08:01 PM - Teemu Murtola

Status: Resolved
Priority: Low
Assignee:

Category: Redmine
Target version:

Description

Currently, there are two subprojects, "Source code reorganization” and "Next-generation analysis tools", under the main Gromacs
project. When these were created when Redmine was taken into use, | don't think there was any serious consideration on whether
that would be the best thing to do. They have served relatively well for organizing issues under these categories. But they add to the
management burden (e.g., the list of developers for the different subprojects needs to be managed separately from the main
Gromacs project), and then there are issues like #646... Also, there is some overlap between the two, and if/when development of
the main Gromacs project moves towards 5.0, it will start to overlap more and more with these subprojects.

I think it would be worth to consider whether these subprojects could be merged to the main project. This might require tuning issue
fields such that there would be natural categories for the issues that are currently in these subprojects, but that could be worth doing
anyway.

Related issues:
Related to Support Platforms - Task #646: Repositories for subprojects mess u... Closed 01/08/2011

History

#1 -11/17/2011 08:00 PM - Teemu Murtola

- Category set to Redmine
#2 - 08/03/2012 11:30 AM - Teemu Murtola
Since there has been no activity, here are some additional thoughts.
| would suggest that we add a few new issue categories to the main Gromacs project:
e selections for anything related to the core selection functionality
e core library for things that are shared between all the code
e unit tests for general issues related to unit testing
The following could be useful, but perhaps would not add that much value:
e analysis library for things shared between analysis tools (stuff can also go under the existing analysis tools)
With these added, | think it would be possible to find a new home for the issues that are currently under the two mentioned subprojects, and then just
delete the subprojects. There are currently about 40 issues in total in these subprojects, so the transfer could even be done one-by-one by hand if

necessary.

In general, it would also be useful to consider (and document somewhere) what the subproject pages are really meant for. For development that is
taking place in the main repository, they seem to create more trouble than they are worth.

#3 - 07/17/2013 07:08 AM - Teemu Murtola

- Priority changed from Normal to Low

The upgrade to a newer redmine version alleviates the most serious problems: duplicate commit linking seems to be gone, and it is possible to inherit
members for a subproject from the main project. It could still be worth to move the issues under the main project for clarity (it is not always clear
where an issue belongs), but that is less important, so changed the priority to low.

#4 - 01/17/2014 08:32 PM - Rossen Apostolov

now that we are in the 5.0 zone, | can merge the issues from "source code reorganization" and "next-gen tools".

We can easily add the categories as suggested but what would be the benefit if we don't have a default assignee for each of them?

#5 - 06/10/2014 02:08 PM - Rossen Apostolov
so should | move all issues from "next-gen analysis tools" to category "analysis tools" of the main Gromacs project?

#6 - 07/14/2014 12:07 PM - Teemu Murtola

- Status changed from New to Resolved

I now moved all the issues, actually putting some thought into what category each item should go to to make it actually possible to later find the
issues... | closed the projects; not sure if there is a more permanent way, but probably | do not have the rights.

The extra categories have been there forever now (much earlier than Rossen's post here), and there were default assignees for all of them. But
apparently someone though this a bad idea, since all the default assignees are now gone... But that's a separate discussion that | think is not going to
lead anywhere, since no one appears to have time to actually use redmine, except to clean up obsolete issues before each major release,c so it
doesn't really matter what happens in between...
